Saltar al contenido

python – ¿Cómo instalar pytorch en Anaconda con conda o pip?

noviembre 4, 2021
apple touch icon@2

Estoy intentando instalar pytorch en Anaconda para trabajar con Python 3.5 en Windows. Siguiendo las instrucciones en pytorch.org Introduje el siguiente código en Anaconda:

pip3 install torch torchvision 

Pero apareció el siguiente error:

Command "python setup.py egg_info" failed with error code 1 in C:UserssluisAppDataLocalTemppip-install-qmrvz7b9torch

Al buscar en la web, descubrí que puede deberse a setuptools está desactualizado, pero lo revisé y lo actualicé. También probé:

conda install -c peterjc123 pytorch cuda80

Pero surge el siguiente error:

The following specifications were found to be in conflict:
  - pytorch
Use "conda info <package>" to see the dependencies for each package.

También intenté cargar el archivo tar.bz2 de pytorch que descargué en el siguiente sitio web:

anaconda.org/peterjc123/pytorch/files

Y luego simplemente haz:

$ conda install filename.tar.bz2 

Pero recibí el siguiente error:

Error: HTTPError: 404 Client Error: None for url: file:///C|/Users/sluis/pytorch-0.3.1-py36_cuda80_cudnn6he774522_2.tar.bz2: file:///C|/Users/sluis/pytorch-0.3.1-py36_cuda80_cudnn6he774522_2.tar.bz2

Soy bastante nuevo en este mundo de la programación, por lo que realmente no sé cómo profundizar más en los errores. ¿Alguien sabe cómo instalar Pytorch?

Editar: Como se sugiere en los comentarios probé:

conda install pytorch torchivsion -c pytorch

Y recibí el siguiente error:

Error: Packages missing in current win-64 channels:
 - pytorch
 - torchvision

Yo hice:

anaconda search -t conda torchvision

Y traté de instalar dericlk/torchvision usando el siguiente comando:

conda install -c derickl torchvision

Pero obtengo el mismo error:

Error: Package missing in current win-64 channels:
  - torchvision

No pude encontrar ninguno torchvisionpaquetes para win-64.

conda list me está dando lo siguiente:

# packages in environment at C:UsersaaaaAppDataLocalContinuumAnaconda3envstorchenv2:
#
mkl-include               2018.0.2                      1    anaconda
certifi                   2016.2.28                py35_0
cffi                      1.10.0                   py35_0
cmake                     3.6.3                    vc14_0  [vc14]
openmp                    2018.0.0                intel_8    intel
mkl                       2017.0.3                      0
numpy                     1.13.1                   py35_0
pip                       10.0.0                    <pip>
pip                       9.0.1                    py35_1
pycparser                 2.18                     py35_0
python                    3.5.4                         0
pyyaml                    3.12                     py35_0
setuptools                36.4.0                   py35_1
typing                    3.6.2                    py35_0
vc                        14                            0
vs2015_runtime            14.0.25420                    0
wheel                     0.29.0                   py35_0
wincertstore              0.2                      py35_0
zlib                      1.2.11                   vc14_0  [vc14]

=======

close